/************************************************************************
** Enable.c
** Enable/Disable interrupt functions
**
** Created Sept 14, 2006
**
************************************************************************/
#include "Enable.h"

#pragma inline

long Disable(void)
{
	register long retval;

	retval = __get_CPSR();
	__set_CPSR(retval | 0x0c0);
	return (retval ^ 0xc0) & 0x0c0;
}

#pragma inline

void Enable(long sr)
{
	register long t;

	t = __get_CPSR();
	t &= ~sr;
	__set_CPSR(t);
}
